# $Revision: 1.127 $, $Date: 2007-10-30 23:44:36 $
%define	basever	2.6.22
%define	postver	.10
Summary:	Linux kernel headers for use with C libraries
Summary(pl.UTF-8):	Nagłówki jądra Linuksa do użytku z bibliotekami C
Name:		linux-libc-headers
Version:	%{basever}%{postver}
Release:	2
Epoch:		7
License:	GPL v2
Group:		Development
Source0:	http://www.kernel.org/pub/linux/kernel/v2.6/linux-%{basever}.tar.bz2
# Source0-md5:	2e230d005c002fb3d38a3ca07c0200d0
%if "%{postver}" != "%{nil}"
Source1:	http://www.kernel.org/pub/linux/kernel/v2.6/patch-%{version}.bz2
# Source1-md5:	8dc6d14fb270d13e8ef670d23387b418
%endif
# DROP? (these were always kept in private drivers dir, not exported)
#Source1:	%{name}-dv1394.h
#Source2:	%{name}-ieee1394-ioctl.h
# DROP for now? iptables accesses kernel headers/sources directly
#PatchX: %{name}-netfilter.patch
Patch0:		%{name}-esfq.patch
Patch1:		%{name}-wrr.patch
Patch2:		%{name}-fbsplash.patch
Patch3:		%{name}-imq.patch
Patch4:		%{name}-endian.patch
Patch5:		%{name}-pagesize.patch
Patch6:		%{name}-include.patch
Patch7:		%{name}-pom-set.patch
Patch8:		linux-kernel-headers.SuSE.TIOCGDEV.patch
AutoReqProv:	no
BuildRequires:	rpmbuild(macros) >= 1.213
Requires(pre):	fileutils
Provides:	alsa-driver-devel
Provides:	glibc-kernel-headers = %{epoch}:%{version}-%{release}
Obsoletes:	alsa-driver-devel
Obsoletes:	glibc-kernel-headers
Obsoletes:	glibc-kernheaders
Conflicts:	lm_sensors-devel < 2.8.2-2
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip		1

%description
This package includes the C header files that specify the interface
between the Linux kernel and userspace libraries and programs. The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
glibc package.

%description -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C, które definiują interfejs
między jądrem Linuksa a bibliotekami i programami działającymi w
przestrzeni użytkownika. Pliki nagłówkowe definiują struktury i stałe
potrzebne do zbudowania większości standardowych programów, są także
potrzebne do przebudowania pakietu glibc.

%prep
%setup -qc
cd linux-%{basever}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p2

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C linux-%{basever} headers_install \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
%ifarch ppc ppc64
	ARCH=powerpc
%else
	ARCH=%{_target_base_arch}
%endif

# provided by glibc-headers
rm -rf $RPM_BUILD_ROOT%{_includedir}/scsi

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
[ ! -L /usr/include/linux ] || rm -f /usr/include/linux
[ ! -L /usr/include/asm ] || rm -f /usr/include/asm
[ ! -L /usr/include/sound ] || rm -f /usr/include/sound
%ifarch sparc sparcv9 sparc64
[ ! -L /usr/include/asm-sparc ] || rm -f /usr/include/asm-sparc
[ ! -L /usr/include/asm-sparc64 ] || rm -f /usr/include/asm-sparc64
%endif

%files
%defattr(644,root,root,755)
%{_includedir}/linux
%{_includedir}/asm
%{_includedir}/asm-generic
%ifarch %{x8664}
%{_includedir}/asm-i386
%{_includedir}/asm-x86_64
%endif
%ifarch sparc64
%{_includedir}/asm-sparc
%{_includedir}/asm-sparc64
%endif
%{_includedir}/mtd
%{_includedir}/rdma
%{_includedir}/sound
%{_includedir}/video

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux-libc-headers.spec,v $
Revision 1.127  2007-10-30 23:44:36  glen
- add TIOCGDEV patch from suse; rel 2

Revision 1.126  2007/10/30 23:35:30  glen
- 2.6.22.10; keep our own builddir

Revision 1.125  2007/10/15 23:42:11  zbyniu
- pom-set.patch added, ipset.spec needs this headers

Revision 1.124  2007/08/18 10:07:11  glen
- %pretrans is safer

Revision 1.123  2007/07/11 19:18:51  qboosh
- updated to 2.6.22.1

Revision 1.122  2007/07/08 22:44:36  qboosh
- updated to 2.6.21.6
- added include patch (fixes <linux/ethtool.h>)

Revision 1.121  2007/05/12 09:35:28  qboosh
- updated to 2.6.21.1

Revision 1.120  2007/05/02 20:07:05  pluto
- updated to 2.6.20.11.

Revision 1.119  2007/04/30 10:19:44  pluto
- updated to 2.6.20.10, fixed powerpc build.

Revision 1.118  2007/04/05 20:22:42  tommat
- always pass ARCH, rel 2

Revision 1.117  2007/04/03 14:36:57  qboosh
- merged KERNEL branch; old 2.6.12.0-15 version left on MMAZUR branch

Revision 1.116.2.10  2007/04/02 20:13:54  qboosh
- added pagesize patch (define PAGE_SIZE on some archs incl. alpha,ppc,sparc*)

Revision 1.116.2.9  2007/04/02 19:55:37  qboosh
- support cross-builds

Revision 1.116.2.8  2007/04/02 19:54:55  qboosh
- added comment on additional ieee1394 headers
- dropped i2c-devel provides (generally not used, version is hard to track in Linux 2.6.x)

Revision 1.116.2.7  2007/04/02 19:37:49  qboosh
- endian patch is back (updated)
- dropped outdated unistd_x86_PIC patch

Revision 1.116.2.6  2007/04/02 19:09:28  qboosh
- imq patch is back (updated)

Revision 1.116.2.5  2007/04/02 18:54:58  qboosh
- fbsplash patch is back (updated)

Revision 1.116.2.4  2007/04/02 18:17:46  qboosh
- wrr patch is back (updated)

Revision 1.116.2.3  2007/04/02 18:08:42  qboosh
- esfq patch is back (still up to date)

Revision 1.116.2.2  2007/04/02 17:48:56  qboosh
- tc-u32-mark,audit,partial-2.6.16,nfc patches are obsolete

Revision 1.116.2.1  2007/04/02 17:23:29  qboosh
- let's try this way
